#!/usr/bin/bash

# 拼接文本
header='"LncRNA","Set","D1_chr","D2_start","D3_end","D4_Version","Sub_Class","Class"'
output=data/Transcription_Factor.csv
echo $header > $output &&\
ls database/\`human\@Transcription_Factor#*.txt|xargs -i sed '1d' {} >> $output

input=data/Transcription_Factor.csv &&\
output=data_output/detail_Transcription_Factor_Enhancer.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"enhancer\"")print $3","$4","$5","$6","$7","$8",\"'"Enhancer"'\","$1}' >> $output

input=data/Transcription_Factor.csv &&\
output=data_output/detail_Transcription_Factor_Accessible_chromatin.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"Accessible_chromatin\"")print $3","$4","$5","$6","$7","$8",\"'"Accessible_chromatin"'\","$1}' >> $output

input=data/Transcription_Factor.csv &&\
output=data_output/detail_Transcription_Factor_Promoter_10kb_1kb.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"Promoter_10kb/1kb\"")print $3","$4","$5","$6","$7","$8",\"'"Promoter_10kb_1kb"'\","$1}' >> $output

input=data/Transcription_Factor.csv &&\
output=data_output/detail_Transcription_Factor_Promoter_20kb_1kb.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"Promoter_20kb/1kb\"")print $3","$4","$5","$6","$7","$8",\"'"Promoter_20kb_1kb"'\","$1}' >> $output

input=data/Transcription_Factor.csv &&\
output=data_output/detail_Transcription_Factor_Promoter_2kb_1kb.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"Promoter_2kb/1kb\"")print $3","$4","$5","$6","$7","$8",\"'"Promoter_2kb_1kb"'\","$1}' >> $output

input=data/Transcription_Factor.csv &&\
output=data_output/detail_Transcription_Factor_Promoter_5kb_1kb.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"Promoter_5kb/1kb\"")print $3","$4","$5","$6","$7","$8",\"'"Promoter_5kb_1kb"'\","$1}' >> $output

# Set文件
# output=data_output/set_Transcription_Factor.txt &&\
# echo "Class,Sub_Class,Set,LncRNA" > $output &&\
# sed '1d' database/\`human\@set_Transcription_Factor\`.txt \
# |awk -F, '{print "\"'"Transcription_Factor"'\","$0}' \
# |awk -F'","' '{print $1"\",\""$2"\",\""$3"\",\""$4"\""}' \
# |sed 's?enhancer?Enhancer?g' \
# |sed 's?Promoter_10kb/1kb?Promoter_10kb_1kb?g' \
# |sed 's?Promoter_20kb/1kb?Promoter_20kb_1kb?g' \
# |sed 's?Promoter_2kb/1kb?Promoter_2kb_1kb?g' \
# |sed 's?Promoter_5kb/1kb?Promoter_5kb_1kb?g' \
# >> $output &




