#!/usr/bin/bash

# 拼接文本
output=data/Super_Enhancer.csv
ls database/\`human\@Super_Enhancer#*.txt|head -n 1|xargs -i head -n 1 {} > $output &&\
ls database/\`human\@Super_Enhancer#*.txt|xargs -i sed '1d' {} >> $output &
# 按照Sub_Class拆分文本
input=data/Super_Enhancer.csv &&\
output=data_output/detail_Super_Enhancer_Closest.txt &&\
head -n1 $input > $output &&\
cat $input|awk -F',' '{if($2=="\"ROSE_Closest\"")print $1",\"'"Closest"'\","$3","$4","$5","$6","$7","$8}' >> $output &

input=data/Super_Enhancer.csv &&\
output=data_output/detail_Super_Enhancer_Proximal.txt &&\
head -n1 $input > $output &&\
cat $input|awk -F',' '{if($2=="\"ROSE_Proximal\"")print $1",\"'"Proximal"'\","$3","$4","$5","$6","$7","$8}' >> $output &

input=data/Super_Enhancer.csv &&\
output=data_output/detail_Super_Enhancer_Overlap.txt &&\
head -n1 $input > $output &&\
cat $input|awk -F',' '{if($2=="\"ROSE_Overlap\"")print $1",\"'"Overlap"'\","$3","$4","$5","$6","$7","$8}' >> $output &
# Set文件
output=data_output/set_Super_Enhancer.txt &&\
echo "Class,Sub_Class,Set,LncRNA" > $output &&\
awk -F, '{print "\"'"Super_Enhancer"'\","$0}' database/\`human\@set_Super_Enhancer\`.txt|awk -F'","' '{if($2=="ROSE_Closest" || $2=="ROSE_Proximal" || $2=="ROSE_Overlap")print $1"\",\""$2"\",\""$3"\",\""$4"\""}' \
|sed 's/ROSE_Closest/Closest/g' \
|sed 's/ROSE_Proximal/Proximal/g' \
|sed 's/ROSE_Overlap/Overlap/g' \
>> $output &

